summaryrefslogtreecommitdiff
path: root/run-debug
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2017-08-06 11:46:02 +0300
committerLars Wirzenius <liw@liw.fi>2017-08-06 18:56:34 +0300
commit6299228754893813341085d99c3924f7fefe1c18 (patch)
tree432e9f076b3b226487b8a77359545adba50e1714 /run-debug
parent888db73b93aefe70d838d499f7f9cc43eee7372b (diff)
downloadick2-6299228754893813341085d99c3924f7fefe1c18.tar.gz
Add: ControllerAPI, ControllerState
Diffstat (limited to 'run-debug')
-rwxr-xr-xrun-debug20
1 files changed, 20 insertions, 0 deletions
diff --git a/run-debug b/run-debug
new file mode 100755
index 0000000..fdd1ce8
--- /dev/null
+++ b/run-debug
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eu
+
+scopes="
+uapi_projects_get
+"
+
+./generate-rsa-key t.key
+./create-token t.key issuer audience "$scopes" > t.token
+cat <<EOF > t.yaml
+log:
+- filename: t.log
+token-issuer: issuer
+token-audience: audience
+token-public-key: $(cat t.key.pub)
+statedir: t.state
+EOF
+
+ICK_CONTROLLER_CONFIG=t.yaml python3 ick_controller.py